# Couenne::exprLBMul Class Reference

class to compute lower bound of a product based on the bounds of both factors More...

`#include <CouenneExprBMul.hpp>`

Inheritance diagram for Couenne::exprLBMul:

List of all members.

## Public Member Functions
| exprLBMul (expression **al, int n)
| Constructors, destructor.
expression * | clone (Domain *d=NULL) const
| cloning method
CouNumber | operator() ()
| function for the evaluation of the expression
enum pos | printPos () const
| print position (PRE, INSIDE, POST)
std::string | printOp () const
| print operator

## Detailed Description

class to compute lower bound of a product based on the bounds of both factors

Definition at line 40 of file CouenneExprBMul.hpp.

## Constructor & Destructor Documentation

Couenne::exprLBMul::exprLBMul | ( | expression ** | al,
|  | int | n |
| ) |  |  | `[inline]`

Constructors, destructor.

Definition at line 45 of file CouenneExprBMul.hpp.

Referenced by clone().

## Member Function Documentation

expression* Couenne::exprLBMul::clone | ( | Domain * | d = `NULL` | ) | const`[inline, virtual]`

cloning method

Reimplemented from Couenne::expression.

Definition at line 49 of file CouenneExprBMul.hpp.

References Couenne::exprOp::clonearglist(), exprLBMul(), and Couenne::exprOp::nargs_.

CouNumber Couenne::exprLBMul::operator() | ( |  | ) | `[inline, virtual]`

function for the evaluation of the expression

compute sum

Implements Couenne::expression.

Definition at line 67 of file CouenneExprBMul.hpp.

References Couenne::exprOp::arglist_, and Couenne::safeProd().

enum pos Couenne::exprLBMul::printPos | ( |  | ) | const`[inline, virtual]`

print position (PRE, INSIDE, POST)

Reimplemented from Couenne::exprOp.

Definition at line 56 of file CouenneExprBMul.hpp.

References Couenne::PRE.

std::string Couenne::exprLBMul::printOp | ( |  | ) | const`[inline, virtual]`

print operator

Reimplemented from Couenne::exprOp.

Definition at line 60 of file CouenneExprBMul.hpp.

The documentation for this class was generated from the following file:

- CouenneExprBMul.hpp

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Defines